Name:           python-asap3
Version:        3.13.6
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        ASAP - classical potentials for MD with ASE.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://wiki.fysik.dtu.dk/asap
Source:         %{pypi_source asap3}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'asap3' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-asap3
Summary:        %{summary}

%description -n python3-asap3 %_description


%prep
%autosetup -p1 -n asap3-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-asap3 -f %{pyproject_files}


%changelog
%autochangelog